local TraceFrame = DEFAULT_CHAT_FRAME;

DBHC_NUMVERSION1 = "00";
DBHC_NUMVERSION2 = "00";
DBHC_NUMVERSION3 = "01";

DBHC_serveur = GetRealmName();
DBHC_joueur = UnitName("Player");

function DBHC_OnLoad()

	DBHC = {};
	DBHC_perso_config = {};
	DBHC_perso = {};

end

function DBHC_sauverquetefaite(nomquete,objectif)

local i;
local bexist;

	if ( DBHC[DBHC_serveur] == nil ) then
		DBHC[DBHC_serveur] = {};
	end
	if ( DBHC[DBHC_serveur][DBHC_joueur] == nil ) then
		DBHC[DBHC_serveur][DBHC_joueur] = {};
	end
	if ( DBHC[DBHC_serveur][DBHC_joueur][0] == nil ) then
		DBHC[DBHC_serveur][DBHC_joueur][0] = {};
	end
	if ( DBHC[DBHC_serveur][DBHC_joueur][0][nomquete] == nil ) then
		DBHC[DBHC_serveur][DBHC_joueur][0][nomquete] = {};
	end
	bexist = 0;
	for i = 1 , table.getn(DBHC[DBHC_serveur][DBHC_joueur][0][nomquete]) do
		if ( DBHC[DBHC_serveur][DBHC_joueur][0][nomquete][i] == objectif ) then
			bexist = 1;
		end
	end
	if ( bexist == 0 ) then
		table.insert(DBHC[DBHC_serveur][DBHC_joueur][0][nomquete],objectif);
	end

end

function DBHC2_sauverquetefaite(inumquete)

local i;
local bexist;

--if ( DBCS_debug and DBCS_debug > 1 ) then
--TraceFrame:AddMessage("DBHC2_sauverquetefaite = "..( DBHC_serveur or "" ));
--end
--	if ( DBHC[DBHC_serveur] == nil ) then
--		DBHC[DBHC_serveur] = {};
--	end
--if ( DBCS_debug and DBCS_debug > 1 ) then
--TraceFrame:AddMessage("DBHC2_sauverquetefaite = "..( DBHC_joueur or "" ));
--end
--	if ( DBHC[DBHC_serveur][DBHC_joueur] == nil ) then
--		DBHC[DBHC_serveur][DBHC_joueur] = {};
--	end
if ( DBCS_debug and DBCS_debug > 1 ) then
TraceFrame:AddMessage("DBHC2_sauverquetefaite = "..( inumquete or "" ));
end
	--DBHC[DBHC_serveur][DBHC_joueur][inumquete] = tonumber(DBCS_date());
	DBHC_perso[inumquete] = tonumber(DBCS_date());

end
